	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour8")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -10.67)
	call psetr("subpage_upper_right_longitude", 31.55)
	call psetr("subpage_upper_right_latitude", 71.05)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", 34.50)

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "2m_temperature.grib")
	call pgrib

	call preset('grib_field_position')
	call preset('grib_input_file_name')

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call preset('map_coastline_land_shade_colour')
	call preset('map_coastline_land_shade')

	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_shade_method", "area_fill")
	call psetr("contour_shade_max_level", 56.00)
	call psetr("contour_reference_level", 0.00)
	call psetc("contour_highlight_style", "dash")
	call psetc("contour_label", "off")
	call psetr("contour_min_level", -48.00)
	call psetr("contour_max_level", 56.00)
	call psetc("contour_hilo", "off")
	call psetc("legend", "on")
	call psetr("contour_interval", 2.00)
	call pset1c("contour_shade_colour_list", (/"rgb(0,0,0.5)    ", "rgb(0,0,0.5)    ", "rgb(0,0,0.5)    ", "rgb(0,0,0.5)    ",&
		"rgb(0,0,0.5)    ", "rgb(0,0,0.5)    ", "rgb(0,0,0.5)    ",&
		"rgb(0,0,0.5)    ", "rgb(0,0,0.5)    ", "rgb(0,0,0.5)    ", "rgb(0,0,0.85)   ",&
		"rgb(0,0,0.85)   ", "rgb(0.25,0,1)   ", "rgb(0.25,0,1)   ",&
		"blue_purple     ", "blue_purple     ", "greenish_blue   ",&
		"greenish_blue   ", "blue_green      ", "blue_green      ", "bluish_green    ",&
		"bluish_green    ", "yellow_green    ", "yellow_green    ",&
		"greenish_yellow ", "greenish_yellow ", "yellow          ",&
		"yellow          ", "orangish_yellow ", "orangish_yellow ", "orange_yellow   ",&
		"orange_yellow   ", "yellowish_orange", "yellowish_orange",&
		"orange          ", "orange          ", "reddish_orange  ", "reddish_orange  ",&
		"red_orange      ", "red_orange      ", "orangish_red    ",&
		"orangish_red    ", "red             ", "red             ",&
		"magenta         ", "magenta         ", "magenta         ", "magenta         ",&
		"magenta         ", "magenta         ", "magenta         ",&
		"magenta         ", "magenta         "/), 53)
	call psetc("contour_level_selection_type", "interval")
	call psetc("contour_shade", "on")
	call psetc("contour_line_colour", "grey")
	call pseti("contour_highlight_thickness", 3)
	call pseti("contour_highlight_frequency", 100)
	call psetc("contour_highlight_colour", "rgb(0.4,0.1,1)")
	call psetr("contour_shade_min_level", -48.00)
	call pcont

	call preset('contour_shade_colour_method')
	call preset('contour_shade_method')
	call preset('contour_shade_max_level')
	call preset('contour_reference_level')
	call preset('contour_highlight_style')
	call preset('contour_label')
	call preset('contour_min_level')
	call preset('contour_max_level')
	call preset('contour_hilo')
	call preset('legend')
	call preset('contour_interval')
	call preset('contour_shade_colour_list')
	call preset('contour_level_selection_type')
	call preset('contour_shade')
	call preset('contour_line_colour')
	call preset('contour_highlight_thickness')
	call preset('contour_highlight_frequency')
	call preset('contour_highlight_colour')
	call preset('contour_shade_min_level')

	call psetc("map_label", "on")
	call psetc("map_grid_line_style", "dash")
	call psetc("map_grid_colour", "grey")
	call psetc("map_coastline_colour", "black")
	call psetc("map_coastline_land_shade", "off")
	call pcoast

	call preset('map_label')
	call preset('map_grid_line_style')
	call preset('map_grid_colour')
	call preset('map_coastline_colour')
	call preset('map_coastline_land_shade')

	call pset1c("text_lines", (/"<font size="1">2m temperature - Contour and shade (Range: -48 - 56, interval 2)</font>",&
		"<magics_title/>                                                                       "/), 2)
	call psetr("text_font_size", 0.60)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call preset('text_lines')
	call preset('text_font_size')
	call preset('text_justification')
	call preset('text_colour')

	call pclose

	end
